Bug 108251 - Not possible to express multiplicity dependencies between config parameters
Not possible to express multiplicity dependencies between config parameters
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-28 13:09 EST by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-28 13:09:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The 'multiplicity' constructor for the AbstractParameter class allows a
programmer to define whether a parameter is required or optional. There are
circumstances where the multiplicity of a parametere depends on the value of
another parameter:

For example, the NTLM authentication app, has a param

auth.http.active=false

If-and-only-if this parameter is set to 'true' then the following parameters
become REQUIRED:

auth.http.server_name
auth.http.key_password
auth.http.keystore_password
auth.http.keystore_path

All other times, these are OPTIONAL.

This might be possible to express if it were possible for an app to instantiate
an anonymous inner class which override the 'isRequired' method from
AbstractParameter thus:

m_password = new StringParameter("auth.http.keystore_password",
                                                 Parameter.REQUIRED,
                                                 null) {
  public boolean isRequired() {
    return HTTPAuth.getConfig().isActive();
  }
}
register(m_password);

Whether this would work probably depends on the sequence in which parameters are
processed & loaded.....



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.
    

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:26:23 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.